GLM 0.9.5

- Main Page
- Related Pages
- Modules
- Namespaces
- Files

Functions
GLM_GTX_rotate_normalized_axis
GTC Extensions (Stable)

## Functions
template<typename T , precision P>
detail::tmat4x4< T, P > | rotateNormalizedAxis (detail::tmat4x4< T, P > const &m, T const &angle, detail::tvec3< T, P > const &axis)
template<typename T , precision P>
detail::tquat< T, P > | rotateNormalizedAxis (detail::tquat< T, P > const &q, typename detail::tquat< T, P >::T const &angle, detail::tvec3< T, P > const &axis)

## Detailed Description

Quaternions and matrices rotations around normalized axis.

<glm/gtx/rotate_normalized_axis.hpp> need to be included to use these functionalities.

## Function Documentation

detail::tmat4x4<T, P> glm::rotateNormalizedAxis | ( | detail::tmat4x4< T, P > const & | m,
|  | T const & | angle,
|  | detail::tvec3< T, P > const & | axis
| ) |  |

Builds a rotation 4 * 4 matrix created from a normalized axis and an angle.

Parameters

  m | Input matrix multiplied by this rotation matrix.
  angle | Rotation angle expressed in radians if GLM_FORCE_RADIANS is define or degrees otherwise.
  axis | Rotation axis, must be normalized.

Template Parameters

  T | Value type used to build the matrix. Currently supported: half (not recommanded), float or double.

See Also
  GLM_GTX_rotate_normalized_axis
  - rotate(T angle, T x, T y, T z)
  - rotate(detail::tmat4x4<T, P> const & m, T angle, T x, T y, T z)
  - rotate(T angle, detail::tvec3<T, P> const & v)

detail::tquat<T, P> glm::rotateNormalizedAxis | ( | detail::tquat< T, P > const & | q,
|  | typename detail::tquat< T, P >::T const & | angle,
|  | detail::tvec3< T, P > const & | axis
| ) |  |

Rotates a quaternion from a vector of 3 components normalized axis and an angle.

Parameters

  q | Source orientation
  angle | Angle expressed in radians if GLM_FORCE_RADIANS is define or degrees otherwise.
  axis | Normalized axis of the rotation, must be normalized.

See Also
  GLM_GTX_rotate_normalized_axis